GDB (xrefs)

Public Attributes | List of all members
async_event_handler Struct Reference

## Public Attributes
int | ready
struct async_event_handler * | next_handler
async_event_handler_func * | proc
gdb_client_data | client_data

## Detailed Description

Definition at line 123 of file event-loop.c.

## Member Data Documentation

## ◆ client_data

gdb_client_data async_event_handler::client_data

Definition at line 136 of file event-loop.c.

Referenced by check_async_event_handlers(), and create_async_event_handler().

## ◆ next_handler

struct async_event_handler* async_event_handler::next_handler

Definition at line 130 of file event-loop.c.

Referenced by check_async_event_handlers(), create_async_event_handler(), and delete_async_event_handler().

## ◆ proc

async_event_handler_func* async_event_handler::proc

Definition at line 133 of file event-loop.c.

Referenced by check_async_event_handlers(), and create_async_event_handler().

## ◆ ready

int async_event_handler::ready

Definition at line 127 of file event-loop.c.

Referenced by check_async_event_handlers(), clear_async_event_handler(), create_async_event_handler(), and mark_async_event_handler().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/event-loop.c